<?php
/**
 * All-in-One WP Migration
 * Copyright (C) 2014-2018 ServMask Inc.
 *
 * Modified Copyright (C) 2025 Lead Connector
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Well Sir You Cannot Jump Here...haha' );
}

class Lcm_Export_Config_File {

	public static function execute( $params ) {

		// Set progress
		Lcm_Status::info( __( 'Archiving configuration...', 'lc-migrator' ), Lcm_Stages::$STAGES['CREATING_CONFIG_BACKUPS'] );

		// Open the archive file for writing
		$archive = new Lcm_Compressor( lcm_archive_path( $params ) );

		// Add package.json to archive
		$archive->add_file( lcm_package_path( $params ), LC_MIGRATOR_PACKAGE_FILE );

		// Set progress
		Lcm_Status::info( __( 'Configuration archived.', 'lc-migrator' ), Lcm_Stages::$STAGES['CREATING_CONFIG_BACKUPS'] );

		// Truncate the archive file
		$archive->truncate();

		// Close the archive file
		$archive->close();

		return $params;
	}
}
